## libconfig-model-perl 2.029

=== debian/changelog ===
libconfig-model-perl (2.029-2) unstable; urgency=low

  * control: recommends fuse instead of transitional package 
    fuse-utils (Closes: #696610)

 -- Dominique Dumont <dod@debian.org>  Mon, 24 Dec 2012 12:23:58 +0100

libconfig-model-perl (2.029-1) unstable; urgency=low

  * new upstream version
    * cme-gen-class-pod: pod doc can be generated from
      a class specified on command line argument (really this
      time, previous version was broken)
    * cme: run the first extension found in @INC, not the last one

 -- Dominique Dumont <dod@debian.org>  Wed, 28 Nov 2012 19:32:31 +0100

libconfig-model-perl (2.028-1) unstable; urgency=low

  * Imported Upstream version 2.028
    * cme:
      + added a BUGS section in man page
      * Improved error message for unknown elements

 -- Dominique Dumont <dod@debian.org>  Tue, 27 Nov 2012 17:25:21 +0100

libconfig-model-perl (2.027-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Add missing Depends on libfile-slurp-perl

  [ Dominique Dumont ]
  * new upstream version:
    * fix checklist problem with writing default values
      (which broke openssh demo). (Closes: #691338)
    * Dumper: fix wrong module reference in pod doc
  * removed add-extensions-file patch (applied upsream)

 -- Dominique Dumont <dod@debian.org>  Tue, 30 Oct 2012 19:22:39 +0100

libconfig-model-perl (2.026-3) unstable; urgency=low

  * removed obsolete statement in NEWS (Closes: #689909)
  * control: removed dep on lintian.
    Added dep on libpath-class-perl (Closes #689958)

 -- Dominique Dumont <dod@debian.org>  Tue, 09 Oct 2012 13:42:39 +0200

libconfig-model-perl (2.026-2) unstable; urgency=low

    * control: added libconfig-model-dpkg-perl and
      libconfig-model-openssh-perl in suggests. updated
      description. Moved libconfig-model-tkui-perl from suggest to
      recommend.

 -- Dominique Dumont <dod@debian.org>  Sun, 07 Oct 2012 10:39:52 +0200

libconfig-model-perl (2.026-1) experimental; urgency=low

  * Imported Upstream version 2.026:
    Moved all Debian dpkg stuff into libonfig-model-dpkg-perl.

 -- Dominique Dumont <dod@debian.org>  Wed, 03 Oct 2012 11:23:22 +0200

libconfig-model-perl (2.024-1) experimental; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Dominique Dumont ]
  * Imported Upstream version 2.024:
    * Debian dpkg dependency:
      * Warn and (maybe) remove unversioned dependency on essential
        package (Closes: #684208)
      * Warn and (maybe) replace perl-modules dependency with perl
      * Don't mess with alternate dependency with < relation
        (Closes: #682730)
      * remove Debian epoch when checking perl module version
        from corelist (Closes: #683861)
    * cme command changes:
      + added bash completion for 'fix' subcommand
      + added -dir-char option for fusefs command. This option is 
        required when using fuse on top of debian/copyright, 
        for instance with
        cme fusefs dpkg-copyright -fuse-dir tmp -dir-char '\'
  * removed pod patch (applied upstream)
  * removed corelist version patch (applied upstream)
  * patched fuseui test: do not force load fuse in buildd

 -- Dominique Dumont <dod@debian.org>  Thu, 06 Sep 2012 15:59:30 +0200

libconfig-model-perl (2.023-2) experimental; urgency=low

  * New patch module_corelist-version: Module::CoreList expects a version
    object. Thanks to Ansgar Burchardt for his help.

 -- gregor herrmann <gregoa@debian.org>  Thu, 05 Jul 2012 11:53:24 -0600

libconfig-model-perl (2.023-1) experimental; urgency=low

  * New upstream release:
    - In control binary Depends, replace 'perl' dep with ${perl:Depends}
  * Refresh patch add_dh_config (offset).
  * New patch pod-glitch (missing "=back").

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Jul 2012 10:18:17 -0600

libconfig-model-perl (2.022-1) experimental; urgency=low

  * New upstream release:
    - added -from and -filter option to cme fix command
  * Drop patch fix-race-condition-dependency-check, merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Tue, 03 Jul 2012 11:56:59 -0600
