=== debian/control ===
Source: libconfig-model-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Jonathan Yu <jawnsy@cpan.org>,
           Salvatore Bonaccorso <carnil@debian.org>,
           Fabrizio Regalli <fabreg@fabreg.it>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8),
               perl (>= 5.11.1)
Build-Depends-Indep: bash-completion,
                     libany-moose-perl,
                     libanyevent-http-perl,
                     libanyevent-perl,
                     libapt-pkg-perl,
                     libcarp-assert-more-perl,
                     libexception-class-perl,
                     libfile-copy-recursive-perl,
                     libfile-homedir-perl,
                     libfile-slurp-perl,
                     libhash-merge-perl,
                     liblist-moreutils-perl,
                     liblog-log4perl-perl,
                     libmouse-perl,
                     libmousex-nativetraits-perl,
                     libmousex-strictconstructor-perl,
                     libnamespace-autoclean-perl,
                     libparse-recdescent-perl,
                     libpath-class-perl,
                     libpod-pom-perl,
                     libprobe-perl-perl,
                     libsoftware-license-perl ( >= 0.103002-3),
                     libtest-command-perl,
                     libtest-differences-perl,
                     libtest-exception-perl,
                     libtest-file-contents-perl,
                     libtest-memory-cycle-perl,
                     libtest-pod-perl,
                     libtest-warn-perl,
                     libtext-autoformat-perl,
                     libyaml-perl,
                     po-debconf
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconfig-model-perl.git
Vcs-Git: git://git.debian.org/pkg-perl/packages/libconfig-model-perl.git
Homepage: https://github.com/dod38fr/config-model/wiki

Package: libconfig-model-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libany-moose-perl,
         libanyevent-http-perl,
         libanyevent-perl,
         libapt-pkg-perl,
         libcarp-assert-more-perl,
         libexception-class-perl,
         libfile-homedir-perl,
         libfile-slurp-perl,
         libhash-merge-perl,
         liblist-moreutils-perl,
         liblog-log4perl-perl,
         libmouse-perl,
         libmousex-nativetraits-perl,
         libmousex-strictconstructor-perl,
         libnamespace-autoclean-perl,
         libparse-recdescent-perl,
         libpath-class-perl,
         libpod-pom-perl,
         libsoftware-license-perl (>= 0.103002-3),
         libtext-autoformat-perl,
         libtext-diff-perl,
         libyaml-perl,
         perl (>= 5.11.1)
Recommends: bash-completion,
            fuse,
            libconfig-model-tkui-perl,
            libfuse-perl,
            libmodule-corelist-perl (>= 2.54) | perl (>= 5.15.1)
Suggests: libconfig-model-dpkg-perl,
          libconfig-model-openssh-perl,
          libterm-readline-perl-perl | libterm-readline-gnu-perl
Enhances: lcdproc
Description: module for describing and editing configuration data
 Config::Model is a Perl framework that enables project developers to provide
 an interactive configuration system for their software. It supports various
 frontend interfaces (graphical, curses-based or plain terminal) to users. It
 handles configuration files semantically rather than syntactically, meaning
 that developers can specify the structure and constraints of the data along
 with a mechanism to read and write the files.
 .
 Using the structure and constraint information, Config::Model will generate
 interactive configuration editors that include help and data validation. It
 is equally simple to use graphical (via Tk) interfaces as well as curses-
 and ReadLine-based terminal interfaces.
 .
 Config::Model also provides a facility to help configuration data upgrade
 that can be triggered during package upgrades.
 .
 Config::Model provides configuration model and editor for:
  - popularity-contest 
  - fstab (/etc/fstab)
  - lcdproc (/etc/LCDd.conf)
  - multistrap
 .
 Config::Model provides several user interfaces:
  - shell-like interface
  - virtual file system where each config parameter is mapped to a file
  - graphical user interface with libconfig-model-tkui-perl
