## libconfig-model-perl 2.040

=== debian/changelog ===
libconfig-model-perl (2.040-1) unstable; urgency=low

  * Imported Upstream version 2.040
    * improved check_list
    * backend can now handled layered config like ssh_config
  * added example of log config file for Config::Model in doc
  * refreshed patch
  * control:
    * updated description to explain why some packages are
      recommended or suggested
    * - removed 'enhances' relation with lcdproc (no longer applies)

 -- Dominique Dumont <dod@debian.org>  Mon, 22 Jul 2013 19:46:13 +0200

libconfig-model-perl (2.038-1) unstable; urgency=low

  * Imported Upstream version 2.038:
    + cme: added -backup option.
    + popcon model: added ENCRYPT support
    * Ini backend: fix bug with 'cme check lcdproc' run on
      upstream LCDd.conf
  * copyright: removed unused GPL-2 license

 -- Dominique Dumont <dod@debian.org>  Thu, 04 Jul 2013 20:16:42 +0200

libconfig-model-perl (2.037-1) unstable; urgency=low

  * Imported Upstream version 2.037:
    * Removed LcdProc model (now in its own package)
  * copyright: removed lcdproc related files
  * control: removed lcdproc from description
  * bumped compat to 9

 -- Dominique Dumont <dod@debian.org>  Wed, 19 Jun 2013 09:02:33 +0200

libconfig-model-perl (2.036-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add =encoding to POD in dh_config_model_upgrade.

  [ Dominique Dumont ]
  * Imported Upstream version 2.036
    * config-edit: added deprecation warning
    * Value: fix pod doc error in L<> (Closes: #709784)
    * Node::load_data: use a predictable order to accept elements.
      This change fixes the test failure in t/backend_ini.t
      (Closes: #709785)
    * make t/pod.t run only when AUTHOR_TESTING is set

 -- Dominique Dumont <dod@debian.org>  Sun, 26 May 2013 12:40:30 +0200

libconfig-model-perl (2.035-1) unstable; urgency=low

  * Imported Upstream version 2.035:
    * cme:
      * make sure that async store is used before actual check
      * load Tk only when using edit command (avoids issues on exit
        with AnyEvent)
    * All: use directly Mouse instead of going through Any::Moose
    * Fstab model: added missing relatime option
    * Doc: clarified and moved model plugin doc in advanced manual
  - control: removed dependencies on libany-moose-perl
    libanyevent-http-perl and libapt-pkg-perl

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Apr 2013 20:09:27 +0200

libconfig-model-perl (2.030-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Dominique Dumont ]
  * Imported Upstream version 2.030:
    The main change of this release is to provide asynchronous store
    check.  Now, a model can check the validity of a configuration
    value against a remote resource in a non-blocking way. This is
    currently used by Dpkg model to check the validity of package
    names with Debian server through several concurent http
    requests. See /usr/share/doc/libconfig-model-perl/changelog
    for more details.
  * control: updated standaards-version to 3.9.4
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Sat, 23 Mar 2013 17:05:19 +0100
