=== debian/control ===
--- 
+++ 
@@ -7,13 +7,10 @@
            Fabrizio Regalli <fabreg@fabreg.it>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                perl (>= 5.11.1)
 Build-Depends-Indep: bash-completion,
-                     libany-moose-perl,
-                     libanyevent-http-perl,
                      libanyevent-perl,
-                     libapt-pkg-perl,
                      libcarp-assert-more-perl,
                      libexception-class-perl,
                      libfile-copy-recursive-perl,
@@ -41,19 +38,16 @@
                      libtext-autoformat-perl,
                      libyaml-perl,
                      po-debconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconfig-model-perl.git
-Vcs-Git: git://git.debian.org/pkg-perl/packages/libconfig-model-perl.git
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-perl.git
 Homepage: https://github.com/dod38fr/config-model/wiki
 
 Package: libconfig-model-perl
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libany-moose-perl,
-         libanyevent-http-perl,
          libanyevent-perl,
-         libapt-pkg-perl,
          libcarp-assert-more-perl,
          libexception-class-perl,
          libfile-homedir-perl,
@@ -81,7 +75,6 @@
 Suggests: libconfig-model-dpkg-perl,
           libconfig-model-openssh-perl,
           libterm-readline-perl-perl | libterm-readline-gnu-perl
-Enhances: lcdproc
 Description: module for describing and editing configuration data
  Config::Model is a Perl framework that enables project developers to provide
  an interactive configuration system for their software. It supports various
@@ -101,11 +94,15 @@
  Config::Model provides configuration model and editor for:
   - popularity-contest 
   - fstab (/etc/fstab)
-  - lcdproc (/etc/LCDd.conf)
   - multistrap
  .
+ Other configuration editors are available with other libconfig-model-*-perl
+ packages.
+ .
+ Depending on which suggested or recommended modules are installed,
  Config::Model provides several user interfaces:
-  - shell-like interface
+  - shell-like interface (with any of lib-term-readlin-*-perl)
   - virtual file system where each config parameter is mapped to a file
-  - graphical user interface with libconfig-model-tkui-perl
+   (with fuse package)
+  - graphical user interface (with libconfig-model-tkui-perl)
