## libconfig-model-perl 2.045

=== debian/changelog ===
libconfig-model-perl (2.045-2) unstable; urgency=low

  * Add missing Depends on libpath-class-perl (Closes: #728494, #728514)
  * Bump Standards-Version to 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Nov 2013 09:55:18 +0100

libconfig-model-perl (2.045-1) unstable; urgency=low

  * Imported Upstream version 2.045:
    * cme: print an error message when no application is
      specified (Closes: #726447)
    * Added JSON backend
    * cme: force write back if -force option is used
  * control:
    * bump libconfig-model-tester to 2.046
    - removed unused dep on libpath-class-perl
    + added dep on libjson-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Oct 2013 15:12:18 +0200

libconfig-model-perl (2.043-1) unstable; urgency=low

  * Imported Upstream version 2.043:
    * Value: accept yes/no true/false as default value for Boolean.
      This can make model declaration more consistent when boolean
      value must be written as true/false, yes/no. In this case,
      forcing model developer to write default value as 0/1 was not
      cool and prevented generation of model like LcdProc's model.
    * Config::Model: load AnyEvent as soon as possible to avoid
      test issues
  + added patch to replace '#!/usr/bin/env perl' with #!/usr/bin/perl
  - control: removed dependencies that were needed by dpkg model

 -- Dominique Dumont <dod@debian.org>  Sat, 21 Sep 2013 12:19:37 +0200

libconfig-model-perl (2.041-1) unstable; urgency=low

  * Imported Upstream version 2.041
    * The ENCRYPT parameter of Popularity contest model was changed from
      boolean type to a yes,maybe,no value, thus allowing a
      "réponse de Normand" ;) This follows up resolution of Debian
      bug #714917.
    * Config::Model::Tester class was moved in its own distribution.
    * Avoid warning with 'cme list' (Closes: #719197)
    * ShellVar backend: Allow variable assignement like "foo = value".
      This is not legal is Shell but sometimes used in configuration files
      using a shell like syntax (Closes: #719256)
   * control: BD-I on libconfig-model-tester-perl. Removed unused build-dep

 -- Dominique Dumont <dod@debian.org>  Tue, 20 Aug 2013 14:26:58 +0200
