=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
 Build-Depends-Indep: bash-completion,
                      libanyevent-perl,
                      libcarp-assert-more-perl,
+                     libconfig-model-tester-perl (>= 2.046),
                      libexception-class-perl,
-                     libfile-copy-recursive-perl,
                      libfile-homedir-perl,
                      libfile-slurp-perl,
                      libhash-merge-perl,
+                     libjson-perl,
                      liblist-moreutils-perl,
                      liblog-log4perl-perl,
                      libmouse-perl,
@@ -27,7 +28,6 @@
                      libpath-class-perl,
                      libpod-pom-perl,
                      libprobe-perl-perl,
-                     libsoftware-license-perl ( >= 0.103002-3),
                      libtest-command-perl,
                      libtest-differences-perl,
                      libtest-exception-perl,
@@ -35,10 +35,9 @@
                      libtest-memory-cycle-perl,
                      libtest-pod-perl,
                      libtest-warn-perl,
-                     libtext-autoformat-perl,
                      libyaml-perl,
                      po-debconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconfig-model-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-perl.git
 Homepage: https://github.com/dod38fr/config-model/wiki
@@ -53,6 +52,7 @@
          libfile-homedir-perl,
          libfile-slurp-perl,
          libhash-merge-perl,
+         libjson-perl,
          liblist-moreutils-perl,
          liblog-log4perl-perl,
          libmouse-perl,
@@ -62,16 +62,13 @@
          libparse-recdescent-perl,
          libpath-class-perl,
          libpod-pom-perl,
-         libsoftware-license-perl (>= 0.103002-3),
-         libtext-autoformat-perl,
          libtext-diff-perl,
          libyaml-perl,
          perl (>= 5.11.1)
 Recommends: bash-completion,
             fuse,
             libconfig-model-tkui-perl,
-            libfuse-perl,
-            libmodule-corelist-perl (>= 2.54) | perl (>= 5.15.1)
+            libfuse-perl
 Suggests: libconfig-model-dpkg-perl,
           libconfig-model-openssh-perl,
           libterm-readline-perl-perl | libterm-readline-gnu-perl
@@ -105,4 +102,3 @@
   - virtual file system where each config parameter is mapped to a file
    (with fuse package)
   - graphical user interface (with libconfig-model-tkui-perl)
-
