## libconfig-model-perl 2.047

=== debian/changelog ===
libconfig-model-perl (2.047-1) unstable; urgency=medium

  * Imported Upstream version 2.047
    * Value: store a good value cancels the error stored in Instance
    * Shell like inteface:
      * list unsaved changes and propose to save on exit or quit
      * fixed "save" command
      * added 'changes' command to list unsaved changes
      * allow also delete command on leaf element
      * added reset command to set a leaf element to undef
      * allow spaces around '=' and ':'
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Mon, 27 Jan 2014 20:43:26 +0100

libconfig-model-perl (2.046-2) unstable; urgency=low

  *  dh_cme_upgrade (formerly dh_config_model_upgrade) is now working:
    * mostly re-written
    * is run before install phase(ignored if run too soon)
    * can use cme to create a configuration file from scratch
    + new cme-purge options to specify which files to delete when purging
    * allow packager to use 'cme fix' instead of 'cme migrate' to allow
      configuration fixes along with configuration upgrades
  * query user to allow automatic configuration upgrade:
    + add a template file for that query
    + added debian/dh/config-script-cme
  * debian/dh/postinst-cme:
    * use '-backup dpkg-old' when calling 'cme migrate'
    * fix manual upgrade instructions

 -- Dominique Dumont <dod@debian.org>  Fri, 17 Jan 2014 19:00:56 +0100

libconfig-model-perl (2.046-1) unstable; urgency=medium

  * Imported Upstream version 2.046
    * cme:
      + added -create option to force creation of missing configuration
        file
      * improved message about applied changes and don't show '0' as <undef>
    * BackendMgr:
      + add note about cme in header of saved file (if comments
         are supported in the configuration file format)
      * Improved error message when no config file is found
      * skip backup copy if no original file is found
  * control: removed version of BD-I libconfig-model-tester-perl

 -- Dominique Dumont <dod@debian.org>  Wed, 18 Dec 2013 19:43:50 +0100
