=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends-Indep: bash-completion,
                      libanyevent-perl,
                      libcarp-assert-more-perl,
-                     libconfig-model-tester-perl (>= 2.046),
+                     libconfig-model-tester-perl,
                      libexception-class-perl,
                      libfile-homedir-perl,
                      libfile-slurp-perl,
