## libconfig-model-perl 2.059

=== debian/changelog ===
libconfig-model-perl (2.059-1) unstable; urgency=medium

  * Imported Upstream version 2.059:
    * cme:
      + added shell command as a shortcut to 'cme edit -ui shell'.
        E.g 'cme shell ssh' to edit ssh_config through a shell like UI
      + add :@ and :.sort sub command for ordered hash.
        E.g.: "cme modify  dpkg-control ~~ 'binary:~/.*/ Depends:.sort' -save"
        or "cme modify dpkg-copyright ~~ 'Files:.sort' -save "
    * cme shell mode:
      * fix or add completion for several commands
      * added shell style pattern match to ll and ls command (e.g 'ls foo*')
    * remove version req from use YAML::Any 0.303 (Closes: #752942  #753207)
  * added patch to cleanup YAML::Any version from META.* and Build.PL

 -- Dominique Dumont <dod@debian.org>  Mon, 30 Jun 2014 13:20:50 +0200

libconfig-model-perl (2.058-1) unstable; urgency=medium

  * New upstream release.
    Fixes 'cme check dpkg-copyright' crash.
  * Drop patch fix-cryptic-message, merged upstream.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 19 Jun 2014 22:51:17 +0200

libconfig-model-perl (2.057-1) unstable; urgency=medium

  * cme: modify cryptic user message about "Fixing stuff"
  * fix dh_cme_upgrade pod doc
  * Revert "cme: modify cryptic user message about "Fixing stuff""
  * added patch to fix cme cryptic message
  * Imported Upstream version 2.057

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Jun 2014 21:01:15 +0200

libconfig-model-perl (2.056-1) unstable; urgency=medium

  * Imported Upstream version 2.056
    - This release deprecates experience associated with configuration
      element. experience specification in models is now ignored.
    * added bash_completion snippet associated to a model. This will
      be useful for dpkg-patch model
    * replaced File::Slurp and Path::Class with Path::Tiny
  * control:
    - removed dep on libfile-slurp-perl and libpath-class-perl
    + added dep on libpath-tiny-perl
  + bash_completion: added cme_multistrap
  * refreshed patch

 -- Dominique Dumont <dod@debian.org>  Tue, 20 May 2014 07:52:31 +0200

libconfig-model-perl (2.055-1) unstable; urgency=medium

  * Imported Upstream version 2.055
    This release removes all code related to asynchronous stores.
    You may see deprecation warning about callback parameter with
    other Config::Model::* modules. This will be fixed soon.
  * control: removed dep on libanyevent-perl, libev-perl,
    libnamespace-autoclean-perl

 -- Dominique Dumont <dod@debian.org>  Mon, 05 May 2014 14:05:45 +0200

libconfig-model-perl (2.054-1) unstable; urgency=medium

  * Imported Upstream version 2.054
    * Loader Dumper: fix quote handling (Closes: #743097)
    * Loader: return 'ok' after dispatching an action (avoid undef warning
      during tests)
    * cme: -save options force a save even if no semantic change was done
    * ListId: sort may trigger notify_change is elements are actually
      moved around, so 'cme modify stuff list:.sort' will save the file
      as expected.

 -- Dominique Dumont <dod@debian.org>  Thu, 03 Apr 2014 19:08:06 +0200

libconfig-model-perl (2.053-1) unstable; urgency=medium

  * Imported Upstream version 2.053:
   * Loader: fix broken list leaf assignment (like 'list:4=foo')

 -- Dominique Dumont <dod@debian.org>  Tue, 25 Mar 2014 20:46:22 +0100

libconfig-model-perl (2.052-1) unstable; urgency=medium

  * Imported Upstream version 2.052
      + added remove by value on list and hash ( :-= and :-~ )
        (Closes: #741453)
      + added lots of list and hash operator usable on 'cme modify stuff'.
        E.g. :.insort :.insert_before :.insert_at :.unshift  :.push :.sort
      + handle list/hash value substitution ( e.g. list:=~s/foo/bar/ )
      * warn when trying to remove a list element with a non numeric index
      * rationalize list and hash commands: list assignment is now
        list:=a,b,c instead of list=a,b,c

 -- Dominique Dumont <dod@debian.org>  Tue, 25 Mar 2014 18:45:22 +0100

libconfig-model-perl (2.051-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 2.051:
    * cme: fix command like "cme modify foo ~~ <load_instructions>"
    * ValueComputer: formula with eval no longer mess with $& and ${^MATCH}
      variables used in regexp

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Mar 2014 17:49:54 +0100

libconfig-model-perl (2.050-1) unstable; urgency=medium

  * Imported Upstream version 2.050
    + new features of cme command:
      + add possibility to override config file (for appli with
        allow_config_file_override) (part of Debian #739387) if config
        file override is '-', open STDIN to read and STDOUT to write.
        This way, cme can be used as a filter.
      + added -strict option so cme exits 1 when warnings are found
        (Closes: #736972)
      + added -save option to force save. Useful when just reformatting
        is desired
      + modify command can apply Perl substitution (s/foo/bar/) to
        configuration values. See cme(1p) synopsis.
    * Other changes:
      * C::M::Loader (used by 'cme modify'):
        * changed hash selection =~ sub-command to :~
        + added =~ subcommand to apply Perl substitution to values
      * Config::Model: load EV at compile time (Closes: #738975)
    * control: added [build]depends on libev-perl

 -- Dominique Dumont <dod@debian.org>  Fri, 28 Feb 2014 13:18:21 +0100
