=== debian/control ===
--- 
+++ 
@@ -10,12 +10,10 @@
 Build-Depends: debhelper (>= 9),
                perl (>= 5.11.1)
 Build-Depends-Indep: bash-completion,
-                     libanyevent-perl,
                      libcarp-assert-more-perl,
                      libconfig-model-tester-perl,
                      libexception-class-perl,
                      libfile-homedir-perl,
-                     libfile-slurp-perl,
                      libhash-merge-perl,
                      libjson-perl,
                      liblist-moreutils-perl,
@@ -23,9 +21,8 @@
                      libmouse-perl,
                      libmousex-nativetraits-perl,
                      libmousex-strictconstructor-perl,
-                     libnamespace-autoclean-perl,
                      libparse-recdescent-perl,
-                     libpath-class-perl,
+                     libpath-tiny-perl,
                      libpod-pom-perl,
                      libprobe-perl-perl,
                      libtest-command-perl,
@@ -46,11 +43,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libanyevent-perl,
          libcarp-assert-more-perl,
          libexception-class-perl,
          libfile-homedir-perl,
-         libfile-slurp-perl,
          libhash-merge-perl,
          libjson-perl,
          liblist-moreutils-perl,
@@ -58,9 +53,8 @@
          libmouse-perl,
          libmousex-nativetraits-perl,
          libmousex-strictconstructor-perl,
-         libnamespace-autoclean-perl,
          libparse-recdescent-perl,
-         libpath-class-perl,
+         libpath-tiny-perl,
          libpod-pom-perl,
          libtext-diff-perl,
          libyaml-perl,
