## libconfig-model-perl 2.061

=== debian/changelog ===
libconfig-model-perl (2.061-1) unstable; urgency=medium

  * Imported Upstream version 2.061:
    * ValueComputer: leave $@ and $! alone in formula.
      Also skip variables like '$ foo'

 -- Dominique Dumont <dod@debian.org>  Wed, 24 Sep 2014 08:46:31 +0200

libconfig-model-perl (2.060-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Dominique Dumont ]
  * Imported Upstream version 2.060
    * Avoid new perl 5.20 warning (Closes: #758320)
    * Value: improved notify change message (computed vs preset vs default)
    * fix pod doc in cme (Closes: #756433)
  * removed obsolete cleanup-yaml-version patch

 -- Dominique Dumont <dod@debian.org>  Mon, 08 Sep 2014 18:37:29 +0200
