=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                      libyaml-perl,
                      po-debconf
 Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconfig-model-perl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-perl.git
 Homepage: https://github.com/dod38fr/config-model/wiki
