## libconfig-model-perl 2.073

=== debian/changelog ===
libconfig-model-perl (2.073-1) unstable; urgency=medium

  * Imported Upstream version 2.073
    * Loader: convert literal "\n" into real \n
    * shell UI: added 'tree' command to show config tree from current node
    * Node: Warn if an accepted element is likely a typo (required for #789568)
      (this feature requires module Text::Levenshtein::Damerau to be installed)
    * removed cme-old command
  * removed cme-old bash_completion file (conffile)
  * control: added libtext-levenshtein-damerau-perl in BDI and Recommends

 -- Dominique Dumont <dod@debian.org>  Tue, 21 Jul 2015 13:28:42 +0200

libconfig-model-perl (2.071-3) unstable; urgency=medium

  * Add build dependency on libmodule-build-perl.
  * Add debian/upstream/metadata.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Jun 2015 15:33:17 +0200

libconfig-model-perl (2.071-2) unstable; urgency=medium

  * removed dh_cme_upgrade (now in cme package)

 -- Dominique Dumont <dod@debian.org>  Thu, 28 May 2015 19:55:59 +0200

libconfig-model-perl (2.071-1) unstable; urgency=medium

  * Imported Upstream version 2.071:
    * shell like user interface:
      * fixed completion of commands (like set, clear...)
      * improved error message sent when command is wrong
      * use item location as prompt
    * Loader: fixed parding of command like foo:.insort("bar( stuff )")
      which are also used in shell UI.
    * Backend::Any: mention cme command used to edit config file in
      comment header when writing back files. (e.g. "You can run
      'cme edit lcdproc' to modify this file" is written in header
      of /etc/LCDd.conf)
    * Value: fixed formatting and errors in pod doc
  * Added patch to fix debci (Closes: #785528)

 -- Dominique Dumont <dod@debian.org>  Sat, 23 May 2015 14:24:42 +0200

libconfig-model-perl (2.070-1) unstable; urgency=medium

  * Imported Upstream version 2.070:
    * Model:
    * include no longer include read/write spec (Closes: #783952)
      read/write is now included with include_backend
    * Hash and Array: clear now triggers notify_change
    * Value: boolean conversion (e.g yes/no to 1/0) during initial load
      must not trigger a change notification...
    * shell UI:
      + added fix command
      + added clear command for list hash and value.
  * dh_cme_upgrade:
    * tell user where to find config file when refusing automatic upgrade
    * inject dependency on cme and not on libconfig-model-perl
  * added mainscript to remove obselete conffiles (Closes: #784113)

 -- Dominique Dumont <dod@debian.org>  Sun, 03 May 2015 17:40:16 +0200

libconfig-model-perl (2.069-1) unstable; urgency=medium

  * Imported Upstream version 2.069
    * Model: Allow inclusion of read/write specification

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Apr 2015 14:25:00 +0200

libconfig-model-perl (2.068-1) experimental; urgency=medium

  * Imported Upstream version 2.068
    * Value: request configuration save when initial load
      detects problem like duplicated or mismatched values
      in config file

 -- Dominique Dumont <dod@debian.org>  Mon, 30 Mar 2015 09:08:44 +0200

libconfig-model-perl (2.067-1) experimental; urgency=medium

  * Imported Upstream version 2.067 (doc and bug fixes)

 -- Dominique Dumont <dod@debian.org>  Tue, 03 Mar 2015 13:39:10 +0100

libconfig-model-perl (2.066-1) experimental; urgency=medium

  * Imported Upstream version 2.066
    * C::M::Instance:
      + added on_message_cb and show_message parameters
    * C::M::GenClassPod:
      * added missing doc for gen_class_pod parameters
      * generate doc in a reproducible way by using "sort keys". This should
        fix Debian problem with unreproducible build found on
        libconfig-model-dpkg-perl and libconfig-model-itself-perl
  * control: added Testsuite parameter

 -- Dominique Dumont <dod@debian.org>  Tue, 17 Feb 2015 13:06:38 +0100

libconfig-model-perl (2.065-1) experimental; urgency=medium

  * Imported Upstream version 2.065
  * control: updated Standard-Version to 3.9.6
  * copyright: updated © years

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Jan 2015 12:07:55 +0100

libconfig-model-perl (2.064-1) experimental; urgency=medium

  * Imported Upstream version 2.064

 -- Dominique Dumont <dod@debian.org>  Fri, 05 Dec 2014 13:20:06 +0100

libconfig-model-perl (2.063-1) experimental; urgency=medium

  * Imported Upstream version 2.063:
    * old config-edit command is now gone
  * cme command is no longer delivered with this package.
    cme is now delivered cme package (Closes: #752797).
    To help the transition, this package delivers cme-old. You can
    use this command until cme package is available or if you find
    bugs in the new cme command (which now uses App::Cmd).
  * refreshed patches
  * updated remove-call-to-env patch
  * updated add_dh_config patch patch

 -- Dominique Dumont <dod@debian.org>  Mon, 01 Dec 2014 17:41:29 +0100
