=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
            Salvatore Bonaccorso <carnil@debian.org>,
            Fabrizio Regalli <fabreg@fabreg.it>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               libmodule-build-perl,
                perl (>= 5.11.1)
 Build-Depends-Indep: bash-completion,
                      libcarp-assert-more-perl,
@@ -32,9 +34,10 @@
                      libtest-memory-cycle-perl,
                      libtest-pod-perl,
                      libtest-warn-perl,
+                     libtext-levenshtein-damerau-perl,
                      libyaml-perl,
                      po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-perl.git
 Homepage: https://github.com/dod38fr/config-model/wiki
@@ -62,7 +65,8 @@
 Recommends: bash-completion,
             fuse,
             libconfig-model-tkui-perl,
-            libfuse-perl
+            libfuse-perl,
+            libtext-levenshtein-damerau-perl
 Suggests: libconfig-model-dpkg-perl,
           libconfig-model-openssh-perl,
           libterm-readline-perl-perl | libterm-readline-gnu-perl
