## libconfig-model-perl 2.082

=== debian/changelog ===
libconfig-model-perl (2.082-1) unstable; urgency=medium

  * Imported Upstream version 2.082
    * Loader: list operator :~ with no argument loops
      over all values of a hash element
    * Loader: fix loop bug which exited too soon
    * Fix tests broken by C::M::Tester 2.053 (required)
    * removed Log4Perl instructions from synopsis.
      Log4Perl initialisation is handled by Config::Model
      constructor since v2.057
  * control: removed deps on perl >= 5.11
  * control: build-dep on libconfig-model-tester-perl (>= 2.053)

 -- Dominique Dumont <dod@debian.org>  Wed, 30 Mar 2016 12:33:44 +0200

libconfig-model-perl (2.081-1) unstable; urgency=medium

  * Imported Upstream version 2.081
    * storing a wrong value is no longer ignored but now
      triggers an exception.
    * Trigger change notif when store_set reduces the nb of items
      (closes gh #4)
    * Improved change message shown to user
    * Value: don't display grammar in case of error
    * Fix error handling in Value.
  * control: updated Standard-Version to 3.9.7

 -- Dominique Dumont <dod@debian.org>  Tue, 01 Mar 2016 19:51:49 +0100

libconfig-model-perl (2.079-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Dominique Dumont ]
  * Imported Upstream version 2.079
    * Remove YAML file when no data is left
    * When a root class has only one element, the backend
      write (and read) only the content of that element (this
      reduce the depth of the written data structure by one).
    * Added "ChangeTracker" log class and traces (Log::Log4Perl)
    * HashId: load_data can load ordered data in non-ordered hash
    * Removed Exception::Class from warper error handler
      (gh #5, Thanks jplesnik)
    * Dumper/Loader: handle literal \\n

 -- Dominique Dumont <dod@debian.org>  Sat, 20 Feb 2016 19:21:25 +0100

libconfig-model-perl (2.078-1) unstable; urgency=medium

  * Imported Upstream version 2.078:
    * Error handling no longer uses Exception::Class.
    * Config::Model: fix get_element_property (fix a bug with cme dpkg where
      XS-Autobuild is wrongly added to debian/control file)
    * Config::Model::Value:
      * don't check value when loading layered config (aka system
       default values). These values are assumed to be correct.
      * accept when a mandatory value is set by a layered value.
        (this fixes hangs in libconfig-model-itself-perl tests)
  * copyright: updated years
  * control:
    - removed libexception-class-perl dependency
    + recommends cme

 -- Dominique Dumont <dod@debian.org>  Mon, 25 Jan 2016 13:12:14 +0100

libconfig-model-perl (2.077-1) unstable; urgency=medium

  * Imported Upstream version 2.077
    * Loader: added hash copy command. This new command can be used with
      something like: "cme modify stuff some_hash:.copy(from,to)"
    * Instance: added config_dir (used when provided by application info
      and not by model)
    * IniFile backend can read/write check list
    * Warp feature can be driven by a check list. See upstream change
      file for details.
    * ValueComputer: escape quotes in variables (Closes: #810768)
    * Value: fix check of reference values

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Jan 2016 10:17:01 +0100

libconfig-model-perl (2.075-2) unstable; urgency=medium

  * properly remove obsolete conffile /etc/bash_completion.d/cme_multistrap
    (Closes: #806766)

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Jan 2016 17:58:48 +0100

libconfig-model-perl (2.075-1) unstable; urgency=medium

  * Imported Upstream version 2.075
    * Lister can list local (dev) application

 -- Dominique Dumont <dod@debian.org>  Tue, 24 Nov 2015 10:13:12 +0100

libconfig-model-perl (2.074-1) unstable; urgency=medium

  * Imported Upstream version 2.074
    * Loader: added navigation with upward search. E.g. with a
      command like '/foo', the loader will go up the tree until
      a node containing a 'foo' element is found.

 -- Dominique Dumont <dod@debian.org>  Tue, 13 Oct 2015 12:11:01 +0200
