=== debian/control ===
--- 
+++ 
@@ -9,12 +9,10 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               libmodule-build-perl,
-               perl (>= 5.11.1)
+               libmodule-build-perl
 Build-Depends-Indep: bash-completion,
                      libcarp-assert-more-perl,
-                     libconfig-model-tester-perl,
-                     libexception-class-perl,
+                     libconfig-model-tester-perl (>= 2.053),
                      libfile-homedir-perl,
                      libhash-merge-perl,
                      libjson-perl,
@@ -37,9 +35,9 @@
                      libtext-levenshtein-damerau-perl,
                      libyaml-perl,
                      po-debconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-perl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libconfig-model-perl.git
 Homepage: https://github.com/dod38fr/config-model/wiki
 
 Package: libconfig-model-perl
@@ -47,7 +45,6 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          libcarp-assert-more-perl,
-         libexception-class-perl,
          libfile-homedir-perl,
          libhash-merge-perl,
          libjson-perl,
@@ -60,9 +57,9 @@
          libpath-tiny-perl,
          libpod-pom-perl,
          libtext-diff-perl,
-         libyaml-perl,
-         perl (>= 5.11.1)
+         libyaml-perl
 Recommends: bash-completion,
+            cme,
             fuse,
             libconfig-model-tkui-perl,
             libfuse-perl,
