=== debian/watch ===
version=3
https://metacpan.org/release/Config-Model .*/Config-Model-?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
