## libconfig-model-perl 2.088

=== debian/changelog ===
libconfig-model-perl (2.088-1) unstable; urgency=medium

  * Imported Upstream version 2.088:
    * document repo structure in CONTRIBUTE file
    * add CREDITS section in main doc
    * New instructions for 'cme modify'
      * add copy command for list
      * add clear command for list and hash
    * use sort keys to get consistent warning order
      (which is important for non-regression tests)
    * fix regexps for Perl 5.22 (gh #6) Tx mat813
  * ship CONTRIBUTING.md in docs

 -- Dominique Dumont <dod@debian.org>  Sun, 10 Jul 2016 18:02:47 +0200

libconfig-model-perl (2.087-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/upstream/metadata: use HTTPS for GitHub URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 2.087
    Mostly doc improvements and some bug fixes

 -- Dominique Dumont <dod@debian.org>  Thu, 30 Jun 2016 13:49:59 +0200

libconfig-model-perl (2.086-1) unstable; urgency=medium

  * Imported Upstream version 2.086
    Fixed some bugs so that cme() function works with
    new Systemd model

 -- Dominique Dumont <dod@debian.org>  Mon, 06 Jun 2016 18:53:06 +0200

libconfig-model-perl (2.085-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Simplify BTS URL.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  [ Dominique Dumont ]
  * Imported Upstream version 2.085
    * This new releases brings new functions to simplify script that modify
     configuration files. For instance, the following line is enough to
     update popcon's configuration file:
       cme('popcon')->modify("PARTICIPATE=yes");
    * Fix gen_class_pod which skipped some classes
      (fix reproducible build of libconfig-model-openssh-perl)

 -- Dominique Dumont <dod@debian.org>  Sun, 29 May 2016 19:38:51 +0200

libconfig-model-perl (2.083-1) unstable; urgency=medium

  * Imported Upstream version 2.083
  * control: Standards-Version: '3.9.7' -> '3.9.8'

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Apr 2016 10:48:53 +0200
