=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                      libtext-levenshtein-damerau-perl,
                      libyaml-perl,
                      po-debconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-perl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libconfig-model-perl.git
 Homepage: https://github.com/dod38fr/config-model/wiki
